# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import os
from datetime import datetime

def update_package():
    # Déclaration des variables locales
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    # URL de téléchargement de Tresorit
    download_url = "https://installer.tresorit.com/Tresorit.exe"
    latest_bin = "Tresorit.exe"

    # Télécharger le fichier si une nouvelle version est disponible
    if not isfile(latest_bin):
        package_updated = True
        wget(download_url, latest_bin, proxies=proxies)
    else:
        # Vérifier si le fichier local est à jour
        local_version = get_version_from_binary(latest_bin)
        temp_bin = "Temp_Tresorit.exe"
        wget(download_url, temp_bin, proxies=proxies)
        remote_version = get_version_from_binary(temp_bin)
        
        if local_version != remote_version:
            package_updated = True
            remove_file(latest_bin)
            os.rename(temp_bin, latest_bin)
        else:
            remove_file(temp_bin)
    
    # Supprimer les anciens fichiers EXE
    for f in glob.glob("*.exe"):
        if f != latest_bin:
            remove_file(f)

   
    version = get_version_from_binary(latest_bin)
    control.set_software_version(version)
    control.save_control_to_wapt()